Bug 1250344 - Review Request: python-networking-cisco - Cisco OpenStack Neutron driver
Review Request: python-networking-cisco - Cisco OpenStack Neutron driver
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
Juno
All Linux
medium Severity medium
: ---
: Liberty
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
: 1250341 (view as bug list)
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-05 04:10 EDT by Haïkel Guémar
Modified: 2016-03-08 18:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-08 18:22:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haïkel Guémar 2015-08-05 04:10:36 EDT
Spec URL: https://hguemar.fedorapeople.org/reviews/python-networking-cisco.spec
SRPM URL: https://hguemar.fedorapeople.org/reviews/python-networking-cisco-2015.1.0-1.fc24.src.rpm
Description: Cisco OpenStack Neutron driver
Fedora Account System Username: hguemar
Comment 1 Haïkel Guémar 2015-08-05 04:12:03 EDT
*** Bug 1250341 has been marked as a duplicate of this bug. ***
Comment 2 Haïkel Guémar 2015-08-05 04:14:55 EDT
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10610385
Comment 3 Alan Pevec 2015-08-05 08:08:40 EDT
Formal review coming, just one quick SHOULD (so not a blocker) item:

[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Vendor: Cisco
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
Comment 4 Haïkel Guémar 2015-08-05 10:49:11 EDT
Renamed the variable as driver, no more conflict with vendor tag
Comment 5 Alan Pevec 2015-08-06 12:11:31 EDT
So Vendor thing is a bug in fedora-review, actually!
Either way, %{driver} as macro name is better, it might not always be a particular vendor behind the driver.

rpmlint also complains about gid neutron and perms 640 on config files but those are correct.
But please, before import replace TAB in line 28 and make version in changelog match Version: field, to indulge nitpickers like me.
More nitpicks:
* %{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info hurts to read, why not simply:
%{python2_sitelib}/*.egg-info
?

* use pypi URL instead of tarballs.o.o ?

* SKIP_PIP_INSTALL=1 won't prevent including requirements.txt into egginfo, we still need rm -rf {test-,}requirements.txt in %prep but that can be a followup.

APPROVED

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package must own all directories that it creates.
     Note: /etc/neutron is owned by openstack-neutron-common in Requires
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
     Note: please fix W: incoherent-version-in-changelog 2015.1.2-1 before import
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     Note: Documentation size is 266240 bytes in 38 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: rpmlint commented at the top.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
     Note: should use pypi URL instead of tarballs.o.o
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-networking-cisco-2015.1.0-1.fc24.noarch.rpm
          python-networking-cisco-2015.1.0-1.fc24.src.rpm
python-networking-cisco.noarch: W: incoherent-version-in-changelog 2015.1.2-1 ['2015.1.0-1.fc24', '2015.1.0-1']
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/ml2_conf_cisco.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/ml2_conf_cisco.ini 0640L
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/cisco_plugins.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/cisco_plugins.ini 0640L
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/ml2_conf_ncs.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/ml2_conf_ncs.ini 0640L
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/cisco_cfg_agent.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/cisco_cfg_agent.ini 0640L
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/cisco_router_plugin.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/cisco_router_plugin.ini 0640L
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/cisco_vpn_agent.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/cisco_vpn_agent.ini 0640L
python-networking-cisco.noarch: W: no-manual-page-for-binary neutron-cisco-cfg-agent
python-networking-cisco.src:28: W: mixed-use-of-spaces-and-tabs (spaces: line 8, tab: line 28)
2 packages and 0 specfiles checked; 6 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
python-networking-cisco.noarch: W: incoherent-version-in-changelog 2015.1.2-1 ['2015.1.0-1.fc24', '2015.1.0-1']
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/cisco_plugins.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/cisco_plugins.ini 640
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/cisco_router_plugin.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/cisco_router_plugin.ini 640
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/ml2_conf_cisco.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/ml2_conf_cisco.ini 640
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/cisco_vpn_agent.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/cisco_vpn_agent.ini 640
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/ml2_conf_ncs.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/ml2_conf_ncs.ini 640
python-networking-cisco.noarch: W: non-standard-gid /etc/neutron/cisco_cfg_agent.ini neutron
python-networking-cisco.noarch: E: non-readable /etc/neutron/cisco_cfg_agent.ini 640
python-networking-cisco.noarch: W: no-manual-page-for-binary neutron-cisco-cfg-agent
1 packages and 0 specfiles checked; 6 errors, 8 warnings.



Requires
--------
python-networking-cisco (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    config(python-networking-cisco)
    openstack-neutron-common
    python(abi)
    python-babel
    python-pbr
    systemd



Provides
--------
python-networking-cisco:
    config(python-networking-cisco)
    python-networking-cisco



Source checksums
----------------
http://tarballs.openstack.org/networking-cisco/networking-cisco-2015.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : c75e5ce0d93c058e3bfcfbd9e208fb5fcc36b0883d2a55e00e2ad95ab591a4d9
  CHECKSUM(SHA256) upstream package : c75e5ce0d93c058e3bfcfbd9e208fb5fcc36b0883d2a55e00e2ad95ab591a4d9


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1250344
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Haïkel Guémar 2015-08-06 12:38:20 EDT
Thanks, I'll apply the requested before first build!
Comment 7 Haïkel Guémar 2015-08-06 12:55:15 EDT
New Package SCM Request
=======================
Package Name: python-networking-cisco
Short Description: Cisco OpenStack Neutron driver
Upstream URL: https://pypi.python.org/pypi/networking-cisco
Owners: hguemar bdemers
Branches: f23
InitialCC:
Comment 8 Gwyn Ciesla 2015-08-07 09:28:05 EDT
Git done (by process-git-requests).
Comment 9 Upstream Release Monitoring 2015-10-13 07:07:56 EDT
social's scratch build of openstack-puppet-modules?#db4e135626252ebf0b23b8a0e6e98ce0dcf2f9e6 for git://pkgs.fedoraproject.org/openstack-puppet-modules?#db4e135626252ebf0b23b8a0e6e98ce0dcf2f9e6 and rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11426591

Note You need to log in before you can comment on or make changes to this bug.